Resource

On-Call Schedule Layer

On-Call Schedule Layers

The On-Call Schedule Layer Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    onCallDutyPolicySchedule
    Type
    On-Call Policy Schedule
    Description

    Relation to On-Call Policy Schedule where this escalation rule belongs.

  • Name
    onCallDutyPolicyScheduleId
    Type
    Object IDRequired
    Description

    ID of your On-Call Policy Schedule where this escalation rule belongs.

  • Name
    name
    Type
    TextRequired
    Description

    Friendly name for this layer

  • Name
    description
    Type
    Long Text
    Description

    Description for this layer. This is optional and can be left blank.

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

  • Name
    order
    Type
    Number
    Description

    Order / Priority of this layer. Lower the number, higher the priority.

  • Name
    startsAt
    Type
    DateRequired
    Description

    Start date and time of this layer.

  • Name
    rotation
    Type
    JSONRequired
    Description

    How often would you like to hand off the duty to the next user in this layer?

  • Name
    handOffTime
    Type
    DateRequired
    Description

    Hand off time. When would you like to hand off the duty to the next user in this layer?

  • Name
    restrictionTimes
    Type
    JSONRequired
    Description

    Restrict this layer to these times

GETorPOST/api/on-call-duty-schedule-layer/get-list

List

This endpoint allows you to retrieve a paginated list of all your On-Call Schedule Layer. By default, a maximum of ten On-Call Schedule Layer are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/on-call-duty-schedule-layer/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "handOffTime": true,
    "name": true,
    "onCallDutyPolicyScheduleId": true,
    "projectId": true,
    "restrictionTimes": true
  },
  "query": {
    "name": "Example name"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "37773700-28fe-11f1-b591-3fdcef396aba",
      "handOffTime": "2024-01-15T10:30:00.000Z",
      "name": "Example name",
      "onCallDutyPolicyScheduleId": "550e8400-e29b-41d4-a716-446655440000",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "restrictionTimes": {
        "key": "value"
      }
    },
    {
      "_id": "37773701-28fe-11f1-b591-3fdcef396aba",
      "handOffTime": "2024-01-15T10:30:00.000Z",
      "name": "Example name",
      "onCallDutyPolicyScheduleId": "550e8400-e29b-41d4-a716-446655440000",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "restrictionTimes": {
        "key": "value"
      }
    },
    {
      "_id": "37773702-28fe-11f1-b591-3fdcef396aba",
      "handOffTime": "2024-01-15T10:30:00.000Z",
      "name": "Example name",
      "onCallDutyPolicyScheduleId": "550e8400-e29b-41d4-a716-446655440000",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "restrictionTimes": {
        "key": "value"
      }
    }
  ]
}
GETorPOST/api/on-call-duty-schedule-layer/:id/get-item

Get item by ID

This endpoint allows you to retrieve On-Call Schedule Layer by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/on-call-duty-schedule-layer/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "handOffTime": true,
    "name": true,
    "onCallDutyPolicyScheduleId": true,
    "projectId": true,
    "restrictionTimes": true
  }
}

Response

{
  "_id": "37773700-28fe-11f1-b591-3fdcef396aba",
  "handOffTime": "2024-01-15T10:30:00.000Z",
  "name": "Example name",
  "onCallDutyPolicyScheduleId": "550e8400-e29b-41d4-a716-446655440000",
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "restrictionTimes": {
    "key": "value"
  }
}
POST/api/on-call-duty-schedule-layer/count

Count

This endpoint allows you to retrieve the count of all your On-Call Schedule Layer.

Optional Request Body

Count Request

POST
/api/on-call-duty-schedule-layer/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "name": "Example name"
  }
}

Response

{
  "count": 107
}
POST/api/on-call-duty-schedule-layer

Create On-Call Schedule Layer

This endpoint allows you to create a new object.

Create Request

POST
/api/on-call-duty-schedule-layer
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "handOffTime": "2024-01-15T10:30:00.000Z",
    "name": "Example name",
    "onCallDutyPolicyScheduleId": "550e8400-e29b-41d4-a716-446655440000",
    "projectId": "550e8400-e29b-41d4-a716-446655440000",
    "restrictionTimes": {
      "key": "value"
    }
  }
}

Response

{
  "_id": "37773700-28fe-11f1-b591-3fdcef396aba",
  "handOffTime": "2024-01-15T10:30:00.000Z",
  "name": "Example name",
  "onCallDutyPolicyScheduleId": "550e8400-e29b-41d4-a716-446655440000",
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "restrictionTimes": {
    "key": "value"
  }
}
PUT/api/on-call-duty-schedule-layer/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/on-call-duty-schedule-layer/:id/update-item
GET/api/on-call-duty-schedule-layer/:id/update-item

Update Request

PUT
/api/on-call-duty-schedule-layer/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "handOffTime": "2024-01-15T10:30:00.000Z",
    "name": "Example name",
    "restrictionTimes": {
      "key": "value"
    }
  }
}

Response

{}
DELETE/api/on-call-duty-schedule-layer/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/on-call-duty-schedule-layer/:id/delete-item
GET/api/on-call-duty-schedule-layer/:id/delete-item

Delete Request

DELETE
/api/on-call-duty-schedule-layer/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read On-Call Schedule Layer

  • Project Owner
  • Project Admin
  • Project Member
  • Read On-Call Schedule Layer
  • Read All Project Resources

Create Permissions

Required to create On-Call Schedule Layer

  • Project Owner
  • Project Admin
  • Project Member
  • Create On-Call Schedule Layer

Update Permissions

Required to update On-Call Schedule Layer

  • Project Owner
  • Project Admin
  • Edit On-Call Schedule Layer

Delete Permissions

Required to delete On-Call Schedule Layer

  • Project Owner
  • Project Admin
  • Delete On-Call Schedule Layer